petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFactorSetSchurIS

Set indices corresponding to the Schur complement you wish to have computed

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorSetSchurIS(Mat mat,IS is)

Collective on Mat

### Input Parameters

| mat | - the factored matrix
| is | - the index set defining the Schur indices (0-based)

### Notes

Call MatFactorSolveSchurComplement() or MatFactorSolveSchurComplementTranspose() after this call to solve a Schur complement system.

You can call MatFactorGetSchurComplement() or MatFactorCreateSchurComplement() after this call.

### Concepts

### See Also

MatGetFactor(), MatFactorGetSchurComplement(), MatFactorRestoreSchurComplement(), MatFactorCreateSchurComplement(), MatFactorSolveSchurComplement(),
MatFactorSolveSchurComplementTranspose(), MatFactorSolveSchurComplement()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatFactorSetSchurIS_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
MatFactorSetSchurIS_MKL_PARDISO in src/mat/impls/aij/seq/mkl_pardiso/mkl_pardiso.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages